## com.fusioncharts
Class FCParameters

    java.lang.Object
      com.fusioncharts.FCParameters

    public class FCParameters

extends java.lang.Object

Sample Usage: FCParameters fcParams = new FCParameters("Column2D.swf", "myFirst", "100", "200", "false", "false", "window", "CCCCCC", "", "EN", null, "", "", "xml", "flash", null); fcParams.toJSON();

Author:
  InfoSoft Global (P) Ltd.

Nested Class Summary
`(package private) static class` `FCParameters.FCParams` Enum for the parameters to the FusionCharts JS constructor

Field Summary
`(package private) java.util.HashMap<FCParameters.FCParams,java.lang.String>` `parameters`

Constructor Summary
`FCParameters()` Default Constructor
`FCParameters(java.lang.String swfFilename, java.lang.String chartId, java.lang.String width, java.lang.String height, java.lang.String debugMode, java.lang.String registerWithJS, java.lang.String dataSource, java.lang.String dataFormat, java.lang.String renderer, java.lang.String renderAt)` Constructor with limited parameters.

`FCParameters(java.lang.String swfFilename, java.lang.String chartId, java.lang.String width, java.lang.String height, java.lang.String debugMode, java.lang.String registerWithJS, java.lang.String windowMode, java.lang.String bgColor, java.lang.String scaleMode, java.lang.String lang, java.lang.String detectFlashVersion, java.lang.String autoInstallRedirect, java.lang.String dataSource, java.lang.String dataFormat, java.lang.String renderer, java.lang.String renderAt)`

Method Summary
`boolean` `addParameterValue(java.lang.String key, java.lang.String value)`
`boolean` `addParameterValues(java.util.HashMap<java.lang.String,java.lang.String> params)`
`static java.lang.String` `quote(java.lang.String string)` Produce a string in double quotes with backslash sequences in all the right places.
`java.lang.Object` `remove(java.lang.String key)` Remove a name and its value, if present.
`boolean` `testValidity(java.lang.String key)`
`java.lang.String` `toJSON()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parameters

    java.util.HashMap<FCParameters.FCParams,java.lang.String> parameters

Constructor Detail

### FCParameters

    public FCParameters()

  Default Constructor

### FCParameters

    public FCParameters(java.lang.String swfFilename,
                        java.lang.String chartId,
                        java.lang.String width,
                        java.lang.String height,
                        java.lang.String debugMode,
                        java.lang.String registerWithJS,
                        java.lang.String dataSource,
                        java.lang.String dataFormat,
                        java.lang.String renderer,
                        java.lang.String renderAt)

  Constructor with limited parameters. The mandatory values only.

  Parameters:
    `swfFilename` -
    `chartId` -
    `width` -
    `height` -
    `debugMode` -
    `registerWithJS` -
    `dataSource` -
    `dataFormat` -
    `renderer` -
    `renderAt` -

### FCParameters

    public FCParameters(java.lang.String swfFilename,
                        java.lang.String chartId,
                        java.lang.String width,
                        java.lang.String height,
                        java.lang.String debugMode,
                        java.lang.String registerWithJS,
                        java.lang.String windowMode,
                        java.lang.String bgColor,
                        java.lang.String scaleMode,
                        java.lang.String lang,
                        java.lang.String detectFlashVersion,
                        java.lang.String autoInstallRedirect,
                        java.lang.String dataSource,
                        java.lang.String dataFormat,
                        java.lang.String renderer,
                        java.lang.String renderAt)

Parameters:
  `swfFilename` -
  `chartId` -
  `width` -
  `height` -
  `debugMode` -
  `registerWithJS` -
  `windowMode` -
  `bgColor` -
  `scaleMode` -
  `lang` -
  `detectFlashVersion` -
  `autoInstallRedirect` -
  `dataSource` -
  `dataFormat` -
  `renderer` -
  `renderAt` -

Method Detail

### quote

    public static java.lang.String quote(java.lang.String string)

  Produce a string in double quotes with backslash sequences in all the right places. In JSON text, a string cannot contain a control character or an unescaped quote or backslash.

  Parameters:
    `string` - A String
  Returns:
    A String correctly formatted for insertion in a JSON text.

### addParameterValue

    public boolean addParameterValue(java.lang.String key,
                                     java.lang.String value)

  Parameters:
    `key` -
    `value` -
  Returns:

### addParameterValues

    public boolean addParameterValues(java.util.HashMap<java.lang.String,java.lang.String> params)

  Parameters:
    `params` -
  Returns:

### remove

    public java.lang.Object remove(java.lang.String key)

  Remove a name and its value, if present.

  Parameters:
    `key` - The name to be removed.
  Returns:
    The value that was associated with the name, or null if there was no value.

### testValidity

    public boolean testValidity(java.lang.String key)

  Parameters:
    `key` -
  Returns:

### toJSON

    public java.lang.String toJSON()

  Returns: